Get a payment reminder configuration by ID
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/payment-reminders/{payment_reminder_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-reminders/{payment_reminder_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-reminders/{payment_reminder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"recipients": {
"bcc": [
"jsmith@example.com"
],
"cc": [
"jsmith@example.com"
],
"to": [
"jsmith@example.com"
]
},
"term_1_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_2_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_final_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Payment reminders
Get a payment reminder configuration by ID
GET
/
finops
/
v1
/
payment-reminders
/
{payment_reminder_id}
Get a payment reminder configuration by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Response
Successful Response
Time at which the PaymentReminder was created. Timestamps follow the ISO 8601 standard.
Time at which the PaymentReminder was last updated. Timestamps follow the ISO 8601 standard.
Available options:
active, deleted Show child attributes
Show child attributes
Reminder to send for first payment term
Show child attributes
Show child attributes
Reminder to send for second payment term
Show child attributes
Show child attributes
Reminder to send for final payment term
Show child attributes
Show child attributes
Was this page helpful?
⌘I